import React, { useState } from "react";
import classes from "../assets/styles/generatingFormFields.module.scss";
import MarkdownEditor from "@uiw/react-markdown-editor";
import { parseTotalLinkVideo } from "../hooks/sundry/parseLinkVideo";

const GeneratingFormFields = ({listBlock, listTypeAnswer, answers, updateAnswersForm}) => {
    return (
        listBlock.map((item, i) => 
            <div className={classes.item} key={i}>
                <div className={classes.item__question}>
                    <p className={classes.item__question__text}>{i + 1}) <MarkdownEditor.Markdown source={item.question}/></p>
                    <p className={classes.item__question__comment}>{item.comment}</p>
                    <div className={classes.item__question__video}>
                        {item.video ? 
                            parseTotalLinkVideo(item.video).check ? 
                                <iframe 
                                    width="300" 
                                    height="150" 
                                    src={parseTotalLinkVideo(item.video).parseLink} 
                                    frameborder="0" 
                                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" 
                                    referrerpolicy="strict-origin-when-cross-origin" 
                                    allowfullscreen
                                ></iframe> : 
                            <span className={classes.item__question__video__error}>
                                Данный сервис неподдерживает использование их видео.
                            </span> :
                        <span></span>}
                    </div>
                </div>
                <div className={classes.item__answer}>
                    {
                        listTypeAnswer.find(type => type.id === item.typeAnswer).typeTag({
                            postfix: i, 
                            optionAnswer: item.optionAnswer, 
                            answers: answers ? answers : false, 
                            updateAnswersForm: updateAnswersForm ? updateAnswersForm : false
                        })
                    }
                </div>
            </div>
        )  
    )
}

export default GeneratingFormFields;